dependencies {
    api project(':files-api')
    api project(':files-ftp')
    testImplementation testLibs.junit.jupiter.params
    testImplementation testLibs.mockito.core
    testImplementation testLibs.mockito.junit.jupiter
    testImplementation testLibs.slf4j
    testImplementation project(':files-ftp-mock')
}

def moduleName = 'org.xbib.files.ftp.fs.test'
def patchArgs = ['--patch-module', "$moduleName=" + files(sourceSets.test.resources.srcDirs).asPath ]

tasks.named('compileTestJava') {
    options.compilerArgs += patchArgs
}

tasks.named('test') {
    jvmArgs += patchArgs
}
